EXAML(1)

NAME
examl - Exascale Maximum Likelihood (ExaML) code for phylogenetic inference examl-AVX - Exascale Maximum Likelihood (ExaML) code for phylogenetic inference using AVX examl-OMP - Exascale Maximum Likelihood (ExaML) code for phylogenetic inference using OMP examl-OMP-AVX - Exascale Maximum Likelihood (ExaML) code for phylogenetic inference using AVX and OMP

SYNOPSIS
examl|examl-AVX|examl-OMP|examl-OMP-AVX -s binarySequenceFileName -n outputFileNames -m rateHeterogeneityModel -t userStartingTree|-R binaryCheckpointFile|-g constraintTree -p randomNumberSeed [-np NP] [-a] [-B numberOfMLtreesToSave] [-c numberOfCategories] [-D] [-e likelihoodEpsilon] [-f d|e|E|o|q] [-h] [-i initialRearrangementSetting] [-I quartetCheckpointInterval] [-M] [-r randomQuartetNumber] [-S] [-v] [-w outputDirectory] [-Y quartetGroupingFileName] [--auto-prot=ml|bic|aic|aicc]

OPTIONS

-np NP
    NP is the number of processors to use for MPI. If not specified some hopefully sensible guess is made. This is a specific option of the Debian wrapper in /usr/bin.

-a  use the median for the discrete approximation of the GAMMA model of rate heterogeneity

    DEFAULT: OFF

-B  specify the number of best ML trees to save and print to file

-c  Specify number of distinct rate catgories for ExaML when modelOfEvolution is set to GTRPSR Individual per-site rates are categorized into numberOfCategories rate categories to accelerate computations.

    DEFAULT: 25

-D  ML search convergence criterion. This will break off ML searches if the relative Robinson-Foulds distance between the trees obtained from two consecutive lazy SPR cycles is smaller or equal to 1%. Usage recommended for very large datasets in terms of taxa. On trees with more than 500 taxa this will yield execution time improvements of approximately 50% While yielding only slightly worse trees.

    DEFAULT: OFF

-e  set model optimization precision in log likelihood units for final optimization of model parameters

    DEFAULT: 0.1

-f  select algorithm:

"-f d": new rapid hill-climbing
    DEFAULT: ON

    "-f e": compute the likelihood of a bunch of trees passed via -t

    this option will do a quick and dirty optimization without re-optimizng the model parameters for each tree

    "-f E": compute the likelihood of a bunch of trees passed via -t

    this option will do a thorough optimization that re-optimizes the model parameters for each tree

    "-f o": old and slower rapid hill-climbing without heuristic cutoff

    "-f q": fast quartet calculator

    DEFAULT for "-f": new rapid hill climbing

-g  Pass a multi-furcating constraint tree to ExaML. The tree needs to contain all taxa of the alignment! When using this option you also need to specify a random number seed via "-p"

-h  Display this help message.

-i  Initial rearrangement setting for the subsequent application of topological changes phase

-I  Set after how many quartet evaluations a new checkpoint will be printed.

    DEFAULT: 1000

-m  Model of rate heterogeneity

    select "-m PSR" for the per-site rate category model (this used to be called CAT in RAxML) select "-m GAMMA" for the gamma model of rate heterogeneity with 4 discrete rates

-M  Switch on estimation of individual per-partition branch lengths. Only has effect when used in combination with "-q" Branch lengths for individual partitions will be printed to separate files A weighted average of the branch lengths is computed by using the respective partition lengths

    DEFAULT: OFF

-n  Specifies the name of the output file.

-p  Specify a random number seed, required in conjunction with the "-g" option for constraint trees

-R  read in a binary checkpoint file called ExaML_binaryCheckpoint.RUN_ID_number

-r  Pass the number of quartets to randomly sub-sample from the possible number of quartets for the given taxon set. Only works in combination with -f q !

-s  Specify the name of the BINARY alignment data file generated by the parser component

-S  turn on memory saving option for gappy multi-gene alignments. For large and gappy datasets specify -S to save memory This will produce slightly different likelihood values, may be a bit slower but can reduce memory consumption from 70GB to 19GB on very large and gappy datasets

-t  Specify a user starting tree file name in Newick format

-v  Display version information

-w  FULL (!) path to the directory into which ExaML shall write its output files

    DEFAULT: current directory

-Y  Pass a quartet grouping file name defining four groups from which to draw quartets The file input format must contain 4 groups in the following form: (Chicken, Human, Loach), (Cow, Carp), (Mouse, Rat, Seal), (Whale, Frog); Only works in combination with -f q !

--auto-prot=ml|bic|aic|aicc When using automatic protein model selection you can chose the criterion for selecting these models.

    RAxML will test all available prot subst. models except for LG4M, LG4X and GTR-based models, with and without empirical base frequencies. You can chose between ML score based selection and the BIC, AIC, and AICc criteria.

    DEFAULT: ml

AUTHOR
Alexandros Stamatakis, Andre J. Aberer, and Alexey Kozlov on February 14 2017.

This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.